### A free/open-source library for quantitative finance

Public Member Functions
RiskyAssetSwapOption Class Reference

Option on risky asset swap More...

`#include <ql/experimental/credit/riskyassetswapoption.hpp>`

Inheritance diagram for RiskyAssetSwapOption:
[legend]

List of all members.

## Public Member Functions

| RiskyAssetSwapOption (bool payer, const boost::shared_ptr< RiskyAssetSwap > &asw, const Date &expiry, Rate marketSpread, Volatility spreadVolatility)

## Detailed Description

Option on risky asset swap